david_1234
Posts: 399
Joined: Mon Jan 01, 2018 2:14 pm

how to fix " 'apt --fix-broken install" error?

Tue Oct 15, 2019 7:19 am

Hello,
I'm trying to watch netfilx on pi
and did everything is say on this guide :
https://thepi.io/how-to-watch-netflix-o ... pberry-pi/ but it doesn't wrok - and I get this error

Code: Select all

Error Code: C7121-1331
when I look for a solution - first thing was to run

Code: Select all

apt get update && upgrad
e

but now I get this error:

Code: Select all

You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 chromium-browser-l10n : Depends: chromium-browser (>= 72.0.3626.121-0+rpt4) but 56.0.2924.84-0ubuntu0.14.04.1.1011 is installed
 rpi-chromium-mods : Depends: chromium-browser (>= 65) but 56.0.2924.84-0ubuntu0.14.04.1.1011 is installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

what do I need to do?
up until now I didn't have this problem

Thanks ,

p.s
if someone have a working updted guide to watch netflix - I will love to get it :-)

Thanks ,

User avatar
dickon
Posts: 1814
Joined: Sun Dec 09, 2012 3:54 pm
Location: Home, just outside Reading

Re: how to fix " 'apt --fix-broken install" error?

Tue Oct 15, 2019 7:57 am

I realise that this may come as a bit of a shock, but if you run

Code: Select all

apt --fix-broken install
the problem just might be corrected.

david_1234
Posts: 399
Joined: Mon Jan 01, 2018 2:14 pm

Re: how to fix " 'apt --fix-broken install" error?

Tue Oct 15, 2019 11:28 am

:roll: :roll: :roll: :roll: :roll:

thanks.


didn't help - netflix is still show me error

I will lokk for another guide

bjtheone
Posts: 956
Joined: Mon May 20, 2019 11:28 pm
Location: The Frozen North (AKA Canada)

Re: how to fix " 'apt --fix-broken install" error?

Tue Oct 15, 2019 8:05 pm

You likely have library issues plus Netflix is doing something goofy with DRM and blessed platforms. I recently used this method to get Spotify running and it still works with a fully up to date (as of yesterday) system.

https://blog.vpetkov.net/2019/07/12/ne ... chromium/

david_1234
Posts: 399
Joined: Mon Jan 01, 2018 2:14 pm

Re: how to fix " 'apt --fix-broken install" error?

Wed Oct 16, 2019 8:18 am

I have done everything is said in the guide
in the demo webpage I saw the demo movie running , also it said that he detect the and unsing Widvine
when I enter netflix I can see the trailer running in the background ,
but when I want to see the movie I get this error:
This title is not available to watch instantly. Please try another title.

For additional assistance in resolving this issue, please visit our Help Center.

Error Code: M7121-1331
any idea why?
what else I can do ?

I'm using pi3 (but I don't think it should be the problem)

Thanks ,

User avatar
davidcoton
Posts: 5505
Joined: Mon Sep 01, 2014 2:37 pm
Location: Cambridge, UK
Contact: Website

Re: how to fix " 'apt --fix-broken install" error?

Wed Oct 16, 2019 8:34 am

So, have you tried visiting the Netflix Help Center?
Location: 345th cell on the right of the 210th row of L2 cache

david_1234
Posts: 399
Joined: Mon Jan 01, 2018 2:14 pm

Re: how to fix " 'apt --fix-broken install" error?

Wed Oct 16, 2019 9:25 am

yes ,
they say to remove all the chrome extensions
and if it's not helping - to reinstall the chrome

I have done all this before - didn't help

User avatar
rpdom
Posts: 17729
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: how to fix " 'apt --fix-broken install" error?

Wed Oct 16, 2019 9:29 am

You might get more appropriate replies if you edit the subject line on your first post and change it from "how to fix 'apt --fix-broken install' error?" to "How to get netflix working with Chrome browser?"

(No, I don't know how to get Netflix working, I just think this may get different people to read your post)
Unreadable squiggle

fruitoftheloom
Posts: 24549
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: how to fix " 'apt --fix-broken install" error?

Wed Oct 16, 2019 9:53 am

david_1234 wrote:
Tue Oct 15, 2019 7:19 am
Hello,
I'm trying to watch netfilx on pi
and did everything is say on this guide :
https://thepi.io/how-to-watch-netflix-o ... pberry-pi/ but it doesn't wrok - and I get this error

Code: Select all

Error Code: C7121-1331
when I look for a solution - first thing was to run

Code: Select all

apt get update && upgrad
e

but now I get this error:

Code: Select all

You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 chromium-browser-l10n : Depends: chromium-browser (>= 72.0.3626.121-0+rpt4) but 56.0.2924.84-0ubuntu0.14.04.1.1011 is installed
 rpi-chromium-mods : Depends: chromium-browser (>= 65) but 56.0.2924.84-0ubuntu0.14.04.1.1011 is installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

what do I need to do?
up until now I didn't have this problem

Thanks ,

p.s
if someone have a working updted guide to watch netflix - I will love to get it :-)

Thanks ,

The guide you are following is way out of date, mentions chromium-browser 56, we are now on version 74. If it does not specifically state Raspbian Buster give up following any guide.


There was a recent post in these forums:

https://www.raspberrypi.org/forums/view ... p?t=243900
Thinking outside the box is better than burying your head in the sand...

melisa
Posts: 1
Joined: Thu Oct 17, 2019 3:36 am

Re: how to fix " 'apt --fix-broken install" error?

Thu Oct 17, 2019 3:45 am

Hi david,
Before this i get problem, and i used this solution. You can try.
After trying
sudo apt-get update –fix-missing and sudo dpkg –configure -a and sudo apt-get install -f
the problem of a broken package still exist the solution is to edit the dpkg status file manually.
$ sudo nano /var/lib/dpkg/status (you can use vim or gedit instead of nano)
Locate the corrupt package, and remove the whole block of information about it and save the file.
———–
Unlock the dpkg – (message /var/lib/dpkg/lock)
sudo fuser -vki /var/lib/dpkg/lock
sudo dpkg –configure -a

For 12.04 and newer:
You can delete the lock file with the following command:
sudo rm /var/lib/apt/lists/lock
You may also need to delete the lock file in the cache directory
sudo rm /var/cache/apt/archives/lock

david_1234
Posts: 399
Joined: Mon Jan 01, 2018 2:14 pm

Re: how to fix " 'apt --fix-broken install" error?

Thu Oct 17, 2019 5:43 am

the version of the chrom is 72 and can't be upadte
I will start a new post

Thanks ,

fruitoftheloom
Posts: 24549
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: how to fix " 'apt --fix-broken install" error?

Thu Oct 17, 2019 6:11 am

david_1234 wrote:
Thu Oct 17, 2019 5:43 am
the version of the chrom is 72 and can't be upadte
I will start a new post

Thanks ,

You are running the latest supported Raspbian Buster ???
Thinking outside the box is better than burying your head in the sand...

Return to “General discussion”